Package org.jbpm.bpmn2.xml

## Class TaskHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.TaskHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`
  Direct Known Subclasses:
    `ManualTaskHandler`, `ReceiveTaskHandler`, `SendTaskHandler`, `ServiceTaskHandler`, `UserTaskHandler`

      public class TaskHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TaskHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode​(Attributes attrs)` |
    `Object` | `end​(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `Class<?>` | `generateNodeFor()` |
    `protected String` | `getTaskName​(Element element)` |
    `protected void` | `handleForEachNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `handleNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `readDataInputAssociation​(Node xmlNode, WorkItemNode workItemNode, Map<String,​String> dataInputs)` |
    `protected void` | `readDataOutputAssociation​(Node xmlNode, WorkItemNode workItemNode, Map<String,​String> dataOutputs)` |
    `protected void` | `readIoSpecification​(Node xmlNode, Map<String,​String> dataInputs, Map<String,​String> dataOutputs)` |
    `void` | `writeNode​(Node node, StringBuilder xmlDump, int metaDataType)` |

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeJavaAction, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### TaskHandler

          public TaskHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode​(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class<?> generateNodeFor()

    - #### handleNode

          protected void handleNode​(Node node,
                                    Element element,
                                    String uri,
                                    String localName,
                                    org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Overrides:
        `handleNode` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### getTaskName

          protected String getTaskName​(Element element)

    - #### readIoSpecification

          protected void readIoSpecification​(Node xmlNode,
                                             Map<String,​String> dataInputs,
                                             Map<String,​String> dataOutputs)

      Overrides:
        `readIoSpecification` in class `AbstractNodeHandler`

    - #### readDataInputAssociation

          protected void readDataInputAssociation​(Node xmlNode,
                                                  WorkItemNode workItemNode,
                                                  Map<String,​String> dataInputs)

    - #### readDataOutputAssociation

          protected void readDataOutputAssociation​(Node xmlNode,
                                                   WorkItemNode workItemNode,
                                                   Map<String,​String> dataOutputs)

    - #### writeNode

          public void writeNode​(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`

    - #### end

          public Object end​(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### handleForEachNode

          protected void handleForEachNode​(Node node,
                                           Element element,
                                           String uri,
                                           String localName,
                                           org.drools.core.xml.ExtensibleXmlParser parser)
                                    throws SAXException

      Throws:
        `SAXException`